"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SentryHttpPipelineScopePreparer = void 0;
const sentry_1 = require("@dandi-contrib/sentry");
const core_1 = require("@dandi/core");
const http_pipeline_1 = require("@dandi/http-pipeline");
function sentryHttpPipelineScopeDataFactory(requestInfo) {
    return {
        tags: {
            requestId: requestInfo.requestId.toString(),
        },
    };
}
let SentryHttpPipelineScopePreparer = class SentryHttpPipelineScopePreparer {
    constructor(sentry) {
        this.sentry = sentry;
    }
    async prepare(req) {
        const paramTags = Object.keys(req.params).reduce((result, key) => {
            result[`request.param.${key}`] = req.query[key];
            return result;
        }, {});
        const queryTags = Object.keys(req.query).reduce((result, key) => {
            result[`request.query.${key}`] = req.query[key];
            return result;
        }, {});
        const requestScopeData = {
            tags: Object.assign({}, paramTags, queryTags, {
                'request.method': req.method.toString(),
                'request.path': req.path,
            }),
        };
        this.sentry.configureScope(requestScopeData);
        return [
            {
                provide: sentry_1.SentryScopeDataFragment,
                useFactory: sentryHttpPipelineScopeDataFactory,
                deps: [http_pipeline_1.HttpRequestInfo],
            },
        ];
    }
};
SentryHttpPipelineScopePreparer = __decorate([
    http_pipeline_1.HttpPipelinePreparer(),
    __param(0, core_1.Inject(sentry_1.SentryClient)),
    __metadata("design:paramtypes", [sentry_1.SentryClient])
], SentryHttpPipelineScopePreparer);
exports.SentryHttpPipelineScopePreparer = SentryHttpPipelineScopePreparer;
//# sourceMappingURL=sentry-http-pipeline-scope-preparer.js.map