"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SentryHttpPipelineModule = exports.SentryHttpPipelineModuleBuilder = void 0;
const core_1 = require("@dandi/core");
const http_pipeline_1 = require("@dandi/http-pipeline");
const local_token_1 = require("./local-token");
const sentry_error_handler_1 = require("./sentry-error-handler");
const sentry_http_pipeline_scope_preparer_1 = require("./sentry-http-pipeline-scope-preparer");
const sentry_on_before_invoke_handler_1 = require("./sentry-on-before-invoke-handler");
class SentryHttpPipelineModuleBuilder extends core_1.ModuleBuilder {
    constructor(...entries) {
        super(SentryHttpPipelineModuleBuilder, local_token_1.localToken.PKG, entries);
        this.onConfig([http_pipeline_1.HttpPipelineConfig], (config) => config.before.push(sentry_http_pipeline_scope_preparer_1.SentryHttpPipelineScopePreparer));
    }
}
exports.SentryHttpPipelineModuleBuilder = SentryHttpPipelineModuleBuilder;
exports.SentryHttpPipelineModule = new SentryHttpPipelineModuleBuilder(sentry_error_handler_1.SentryErrorHandler, sentry_http_pipeline_scope_preparer_1.SentryHttpPipelineScopePreparer, sentry_on_before_invoke_handler_1.SentryOnBeforeInvokeHandler);
//# sourceMappingURL=sentry-http-pipeline.module.js.map